.accordion {
  display: grid;
  width: 100%;
  gap: 0;
}
.accordion__item {
  border-top: 2px solid var(--primary-tint-700-color);
  interpolate-size: allow-keywords;
  display: grid;
  gap: 0;
  width: 100%;
}
.accordion__item:hover {
  outline-color: var(--primary-color);
}
.accordion__item::details-content {
  display: block;
  overflow: hidden;
}
@supports (block-size: calc-size(auto, size)) {
  .accordion__item::details-content {
    transition-property: block-size, content-visibility;
    transition-duration: 0.5s;
    transition-behavior: allow-discrete;
    block-size: 0;
  }
}
.accordion__item[open]::details-content {
  /* Fallback for browsers that don't support calc-size() function */
  block-size: auto;
  /* calc-size() function allows transition to height: auto; */
  block-size: calc-size(auto, size);
}
.accordion__item[open] .accordion__item-more-icon {
  translate: -1em 0;
}
.accordion__item[open] .accordion__item-content {
  height: auto;
  padding-block: 0 var(--spacing-md, 1rem);
}
.accordion__item-header {
  padding: var(--spacing-md, 1rem);
  display: flex;
  justify-content: start;
  align-items: center;
  cursor: pointer;
  gap: var(--spacing-md, 1rem);
}
.accordion__item-icon {
  color: hsl(from var(--text-color) h s calc(l + 10));
  font-size: 1.5rem;
  flex: 0 0 1.5rem;
  aspect-ratio: 1/1;
}
.accordion__item-title {
  color: var(--text-color, black);
  font-size: var(--h5-font-size);
  margin: 0;
  font-weight: 700;
  line-height: 1.3;
  flex: 1;
}
.accordion__item-more {
  background: var(--primary-tint-800-color);
  border-radius: var(--radius-sm);
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 0 0 2rem;
  width: 2rem;
  aspect-ratio: 1/1;
  font-size: var(--body-large-font-size);
}
.accordion__item-more-inner {
  display: flex;
  justify-content: start;
  align-items: center;
  flex: 0 0 1em;
  width: 1em;
  overflow: hidden;
}
.accordion__item-more-icon {
  flex: 0 0 1em;
  width: 1em;
  font-size: 1em;
  transition: all 0.3s;
}
.accordion__item-content {
  height: 0;
  overflow: hidden;
  interpolate-size: allow-keywords;
  font-size: var(--body-font-size);
  padding-block: 0;
  padding-inline: var(--spacing-md, 1rem);
  transition: all 0.3s allow-discrete;
}
.accordion__item-content-inner > *:last-child {
  margin-bottom: 0;
}
.accordion--box {
  gap: var(--spacing-md, 1rem);
}
.accordion--box .accordion__item {
  background: var(--primary-tint-900-color);
  border: 2px solid transparent;
  border-radius: var(--radius-md);
  transition: background 0.3s;
}
.accordion--box .accordion__item[open] {
  background: linear-gradient(var(--bg-color)) padding-box, linear-gradient(90deg, #4D1EF7 0%, #1355E2 40.87%, #1EA7F7 62.98%, #4D1EF7 100%) border-box;
}
.accordion--box .accordion__item-header {
  padding-left: var(--spacing-lg, 2rem);
}
.accordion--box .accordion__item-title {
  font-size: var(--body-font-size);
  font-weight: 500;
}
.accordion--box .accordion__item-content {
  padding-left: calc(var(--spacing-lg, 2rem) + var(--spacing-md, 1rem));
}
.accordion--box .accordion__item-content-inner {
  padding-block: var(--spacing-sm, 0.5rem);
  padding-inline: var(--spacing-md, 1rem) var(--spacing-sm, 0.5rem);
  border-left: 2px solid var(--primary-tint-400-color);
}
